public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Test-Corpus-Audio-MPD/
Date: Tue,  6 Dec 2011 08:17:47 +0000 (UTC)	[thread overview]
Message-ID: <943d27fa45dfc5116d04602ca292ca60a4d57cfe.kent@gentoo> (raw)

commit:     943d27fa45dfc5116d04602ca292ca60a4d57cfe
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Dec  6 02:36:26 2011 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Dec  6 02:36:26 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=943d27fa

[newversion] Test-Corpus-Audio-MPD-1.113.282.ebuild

(Portage version: 2.2.0_alpha79/git/Linux x86_64, signed Manifest commit with key BD86D695)

---
 dev-perl/Test-Corpus-Audio-MPD/ChangeLog           |    6 ++
 .../Test-Corpus-Audio-MPD-1.113.282.ebuild         |   59 ++++++++++++++++++++
 2 files changed, 65 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Test-Corpus-Audio-MPD/ChangeLog b/dev-perl/Test-Corpus-Audio-MPD/ChangeLog
index a0cdb35..da85e1b 100644
--- a/dev-perl/Test-Corpus-Audio-MPD/ChangeLog
+++ b/dev-perl/Test-Corpus-Audio-MPD/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Test-Corpus-Audio-MPD-1.113.282 (06 Dec 2011)
+
+  06 Dec 2011; Kent Fredric <kentfredric@gmail.com>
+  +Test-Corpus-Audio-MPD-1.113.282.ebuild:
+  Version Bump
+
 *Test-Corpus-Audio-MPD-1.111.260 (08 May 2011)
 
   08 May 2011; Kent Fredric <kentfredric@gmail.com>

diff --git a/dev-perl/Test-Corpus-Audio-MPD/Test-Corpus-Audio-MPD-1.113.282.ebuild b/dev-perl/Test-Corpus-Audio-MPD/Test-Corpus-Audio-MPD-1.113.282.ebuild
new file mode 100644
index 0000000..a7551a1
--- /dev/null
+++ b/dev-perl/Test-Corpus-Audio-MPD/Test-Corpus-Audio-MPD-1.113.282.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=JQUELIN
+MODULE_VERSION=1.113282
+inherit perl-module
+
+DESCRIPTION='automate launching of fake mdp for testing purposes'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# Module::Build 0.3601 ( 0.360.100 )
+	echo \>=virtual/perl-Module-Build-0.36.01
+}
+perl_meta_build() {
+	# Module::Build 0.3601 ( 0.360.100 )
+	echo \>=virtual/perl-Module-Build-0.36.01
+}
+perl_meta_runtime() {
+	# Exporter
+	echo virtual/perl-Exporter
+	# File::Copy
+	echo dev-lang/perl
+	# File::ShareDir::PathClass
+	echo dev-perl/File-ShareDir-PathClass
+	# File::Temp
+	echo virtual/perl-File-Temp
+	# Path::Class
+	echo dev-perl/Path-Class
+	# Readonly
+	echo dev-perl/Readonly
+	# base
+	# echo virtual/perl-base
+	# perl 5.008 ( 5.8.0 )
+	echo \>=dev-lang/perl-5.8.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# Test::More 0.88 ( 0.880.0 )
+	echo \>=virtual/perl-Test-Simple-0.88
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+	media-sound/mpd
+"
+RDEPEND="
+	$(perl_meta_runtime)
+	media-sound/mpd
+"
+SRC_TEST="do"



             reply	other threads:[~2011-12-06  8:18 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-12-06  8:17 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2012-04-09 16:05 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Test-Corpus-Audio-MPD/ Kent Fredric
2011-05-08 16:10 [gentoo-commits] proj/perl-overlay:perl514 " Kent Fredric
2011-05-08 14:19 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric
2011-05-08 16:10 [gentoo-commits] proj/perl-overlay:perl514 " Kent Fredric
2011-05-06 11:03 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=943d27fa45dfc5116d04602ca292ca60a4d57cfe.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox